[arch-commits] Commit in transmission-cli/repos (5 files)

Alexander Fehr alexanderf at archlinux.org
Fri Aug 8 11:51:47 EDT 2008


    Date: Friday, August 8, 2008 @ 11:51:47
  Author: alexanderf
Revision: 8184

Merged revisions 5835-8183 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/transmission-cli/trunk

........
  r8179 | alexanderf | 2008-08-08 17:39:41 +0200 (Fr, 08 Aug 2008) | 1 line
  
  upgpkg: transmission-cli 1.31-1
........

Modified:
  transmission-cli/repos/extra-x86_64/	(properties)
  transmission-cli/repos/extra-x86_64/ChangeLog
  transmission-cli/repos/extra-x86_64/PKGBUILD
  transmission-cli/repos/extra-x86_64/transmission-cli.install
  transmission-cli/repos/extra-x86_64/transmissiond

--------------------------+
 ChangeLog                |    7 +++++++
 PKGBUILD                 |   11 +++++++----
 transmission-cli.install |    4 ----
 transmissiond            |    2 +-
 4 files changed, 15 insertions(+), 9 deletions(-)


Property changes on: transmission-cli/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /transmission-cli/trunk:1-5834
   + /transmission-cli/trunk:1-8183

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-08-08 15:50:35 UTC (rev 8183)
+++ extra-x86_64/ChangeLog	2008-08-08 15:51:47 UTC (rev 8184)
@@ -1,3 +1,10 @@
+2008-08-07  Alexander Fehr  <pizzapunk gmail com>
+
+  * transmission-cli-1.31-1:
+  New upstream release.
+  Replaced transmission-remote -q with kill in init script.
+  Removed install message on upgrade.
+
 2008-07-20  Alexander Fehr  <pizzapunk gmail com>
 
   * transmission-cli-1.22-1:

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-08 15:50:35 UTC (rev 8183)
+++ extra-x86_64/PKGBUILD	2008-08-08 15:51:47 UTC (rev 8184)
@@ -3,7 +3,7 @@
 # Contributor: Alessio 'mOLOk' Bolognino <themolok at gmail.com>
 
 pkgname=transmission-cli
-pkgver=1.22
+pkgver=1.31
 pkgrel=1
 pkgdesc="Fast, easy, and free BitTorrent client (CLI tools and daemon)"
 arch=('i686' 'x86_64')
@@ -17,8 +17,8 @@
 source=(http://download.m0k.org/transmission/files/transmission-$pkgver.tar.bz2
         transmissiond
         transmissiond.conf)
-md5sums=('aa0a2db19b0f3dbfd75a0fb354d6c47d'
-         'a6b92873347554916a2e02765573efcd'
+md5sums=('b21aef8c7ff26e645ff9b19e873318f9'
+         'e2326d412e25b4449ff663a5d4015e1a'
          '7b019a710493ec4f8b54a1f528e1981d')
 
 build() {
@@ -28,8 +28,11 @@
   make || return 1
   make DESTDIR="$pkgdir" install || return 1
 
+  # Remove web interface
+  rm -rf "$pkgdir/usr/share/transmission" || return 1
+
   install -D -m755 "$srcdir/transmissiond" "$pkgdir/etc/rc.d/transmissiond" || return 1
   install -D -m644 "$srcdir/transmissiond.conf" "$pkgdir/etc/conf.d/transmissiond" || return 1
 
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/transmission-cli/LICENSE" || return 1
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/transmission-cli/COPYING" || return 1
 }

Modified: extra-x86_64/transmission-cli.install
===================================================================
--- extra-x86_64/transmission-cli.install	2008-08-08 15:50:35 UTC (rev 8183)
+++ extra-x86_64/transmission-cli.install	2008-08-08 15:51:47 UTC (rev 8184)
@@ -7,7 +7,3 @@
 
 _EOF
 }
-
-post_upgrade() {
-  post_install
-}

Modified: extra-x86_64/transmissiond
===================================================================
--- extra-x86_64/transmissiond	2008-08-08 15:50:35 UTC (rev 8183)
+++ extra-x86_64/transmissiond	2008-08-08 15:51:47 UTC (rev 8184)
@@ -18,7 +18,7 @@
     ;;
   stop)
     stat_busy "Stopping Transmission Daemon"
-    [ ! -z "$PID" ] && su -l -c "/usr/bin/transmission-remote -q" $TRANS_USER
+    [ ! -z "$PID" ] && kill $PID &> /dev/null
     if [ $? -gt 0 ]; then
       stat_fail
     else




More information about the arch-commits mailing list